petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexLabelComplete

Starting with a label marking points on a surface, we add the transitive closure to the surface

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexLabelComplete(DM dm, DMLabel label)

### Input Parameters

| dm | - The DM Many br
| label | - A DMLabel marking the surface points Many br

### Output Parameter

label -A DMLabel marking all surface points in the transitive closure Many br

Many br

### See Also

DMPlexLabelCohesiveComplete()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex77.c.html